Libosmium: osmium::io::ReaderWithProgressBar Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::io::ReaderWithProgressBar Class Reference

`#include <reader_with_progress_bar.hpp>`

Inheritance diagram for osmium::io::ReaderWithProgressBar:
[legend]
Collaboration diagram for osmium::io::ReaderWithProgressBar:
[legend]

## Public Member Functions
template<typename... TArgs>
| ReaderWithProgressBar (bool enable, TArgs &&... args)
osmium::memory::Buffer | read ()
ProgressBar & | progress_bar () noexcept
| Get the underlying ProgressBar object.
Public Member Functions inherited from osmium::io::Reader
template<typename... TArgs>
| Reader (const osmium::io::File &file, TArgs &&... args)
template<typename... TArgs>
| Reader (const std::string &filename, TArgs &&... args)
template<typename... TArgs>
| Reader (const char *filename, TArgs &&... args)
| Reader (const Reader &)=delete
Reader & | operator= (const Reader &)=delete
| Reader (Reader &&)=delete
Reader & | operator= (Reader &&)=delete
| ~Reader () noexcept
void | close ()
osmium::io::Header | header ()
osmium::memory::Buffer | read ()
bool | eof () const
std::size_t | file_size () const noexcept
std::size_t | offset () const noexcept

## Private Attributes
ProgressBar | m_progress_bar

## Detailed Description

Wraps an osmium::io::Reader and an osmium::ProgressBar into one handy package.

## Constructor & Destructor Documentation

## ◆ ReaderWithProgressBar()

template<typename... TArgs>

osmium::io::ReaderWithProgressBar::ReaderWithProgressBar | ( | bool | enable,
|  | TArgs &&... | args )
| inlineexplicit

Constructor.

Parameters

  enable | Enable flag for the progress bar.

All other parameters are forwarded to the Reader.

## Member Function Documentation

## ◆ progress_bar()

ProgressBar & osmium::io::ReaderWithProgressBar::progress_bar | ( |  | ) |
| inlinenoexcept

Get the underlying ProgressBar object.

## ◆ read()

osmium::memory::Buffer osmium::io::ReaderWithProgressBar::read | ( |  | ) |
| inline

Read a buffer from the Reader updating the progress bar in the process.

## Member Data Documentation

## ◆ m_progress_bar

ProgressBar osmium::io::ReaderWithProgressBar::m_progress_bar
| private

The documentation for this class was generated from the following file:

- include/osmium/io/reader_with_progress_bar.hpp